package com.its.api.its.repository.analysis;

import com.its.api.its.model.dto.analysis.PtrnDataParam;
import com.its.api.its.model.dto.analysis.PtrnDataDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PtrnDataMapper {

    List<PtrnDataDto> findAllByDateRangeLINK(@Param("cond") PtrnDataParam cond);
    List<PtrnDataDto> findAllByDateRangeIFSC(@Param("cond") PtrnDataParam cond);
    List<PtrnDataDto> findAllByDateRangeROAD(@Param("cond") PtrnDataParam cond);

}
